Package: groovy.swing.factory

## [Groovy] Class MatteBorderFactory

- groovy.swing.factory.MatteBorderFactory

- matteBorder requires essentially two parameter, a mat definition and a border size definition. The value argument can accept either of these: any of a java.awt.Color, a javax.swing.Icon, an integer, or a 4 arg integer array. The remaining parameter must be define via attributes, either an icon: or color: attribute and a size: or top:, left:, bottom:, and right: attribute.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SwingBorderFactory` | `isLeaf, onHandleNodeAttributes, setParent`
    `class AbstractFactory` | `onFactoryRegistration, isHandlesNodeChildren, onNodeChildren, onHandleNodeAttributes, onNodeCompleted, setChild, setParent, isLeaf, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait, newInstance`

- - ### Method Detail

    - #### Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)